All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.sort
Class OLAPSortSelectorModelFactory

    com.sas.dataselectors.sort.OLAPSortSelectorModelFactory

All Implemented Interfaces:
  com.sas.util.SortDirectionInterface

    public class OLAPSortSelectorModelFactory

implements com.sas.util.SortDirectionInterface

This is the factory class for OLAPSortSelectorInterface instances. Right now, the only implementation it returns is the OLAPSortSelectorAdapter, but this can be expanded in the future.

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from interface com.sas.util.SortDirectionInterface
`ASCENDING, DESCENDING, NOT_SORTED`

Constructor Summary
`OLAPSortSelectorModelFactory()`

Method Summary
`static OLAPSortSelectorInterface` | `getAdapter(OLAPDataSetInterface model)` Returns a new adapter for the given data model.
`static java.lang.String` | `getDisplayedName(java.lang.String uniqueName, OLAPDataSetInterface model)`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### OLAPSortSelectorModelFactory

    public OLAPSortSelectorModelFactory()

Method Detail

### getAdapter

    public static OLAPSortSelectorInterface getAdapter(OLAPDataSetInterface model)

  Returns a new adapter for the given data model.

  Parameters:
    `model` - the data model to sort the TableView
  Returns:
    a new adapter
  Throws:
    `java.lang.IllegalArgumentException`

### getDisplayedName

    public static java.lang.String getDisplayedName(java.lang.String uniqueName,
                                                    OLAPDataSetInterface model)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.